@import 'colors.scss';
@import 'fonts.scss';
@import 'variables.scss';

button {
  margin: 0px;
  border: 0px;
  padding: 0px;
  background-color: transparent;
}

.gradient {
  background-image:
    linear-gradient(
      90deg, 
      $black, transparent
    );
  opacity: 1;
  width: 100vw;
  height: calc(100vh - #{$navbar-height});
}

.nav-menu {
  box-sizing: border-box;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  height: $navbar-height;
  justify-content: space-between;
  padding: 0px $lateral-padding;
}

.nav-logo {
  font-family: 'Libre Barcode 128 Text', cursive;
  color: $black;
  text-decoration: none;
  font-size: $font-5xl;
}

.nav-link {
  color: $black;
  text-decoration: none;
  font-family: $font-mono;
  font-size: $font-2xl;
  font-weight: $font-medium;
  line-height: 1.5;
  padding: .25rem 1rem;
  border: 1px solid $black;
  border-radius: .5rem;
  transition-property: color background-color;
  transition-duration: 0.4s;
  transition-timing-function: ease-in-out;
}

.nav-link:hover {
  color: $white;
  background-color: $black;
}

.main-content {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-top: $lg-padding-top;
  padding-bottom: $padding-bottom;
  padding-left: $lateral-padding;
  width: 40vw;
  height: calc(100vh - #{$navbar-height});
}

.bio, .contact {
  display: flex;
  flex-direction: column;
  height: calc(70vh - #{$navbar-height});
  font-family: $font-sans;
  color: $white;  
}

.bio-title, .contact-title {
  font-size: $font-4xl;
  font-weight: $font-bold;
  margin: 0px;
}

.bio-job {
  font-family: $font-mono;
  font-weight: $font-medium;
  margin: 5px 0px 0px 0px;
}

.bio-description, .contact-description {
  font-weight: $font-thin;
  margin: 50px 0px 0px 0px;
}

.social {
  display: flex;
  justify-content: center;
  flex-direction: column-reverse;
  height: calc(25vh - #{$navbar-height});
  color: $white; 
}

.social-list {
  display: flex;
  list-style: none;
  font-size: $font-6xl;
  margin: 0px;
  padding: 0px;
}

.social-items {
  padding-right: 40px;
}

.social-items-link {
  color: inherit;
}

.footer {
  color: $white;
  font-size: $font-xs;
  font-weight: $font-thin;
  height: calc(5vh - #{$navbar-height});
}

.footer-link {
  color: $white;
}

@media (max-width: 576px)
{
  .nav-menu {
    padding: 10px $sm-lateral-padding;
  }
  .nav-logo {
    font-size: $font-3xl;
  }
  .main-content {
    padding-top: $sm-padding-top;
    padding-left: $sm-lateral-padding;
    padding-right: $sm-lateral-padding;
    padding-bottom: $padding-bottom;
    width: $sm-main-content-width;
  }
  .bio-title, .contact-title {
  font-size: $font-3xl;
  }
  .bio-job {
    font-size: $font-base;
  }
  .bio-description, .contact-description {
    margin-top: 35px;
    font-size: $font-sm;
  }
  .social-list {
    font-size: $font-2xl;
  }
}

@media (min-width: 576px) and (max-width: 1200px)
{
  .nav-menu {
    padding: 10px $sm-lateral-padding;
  }
  .main-content {
    padding-top: $md-padding-top;
    padding-bottom: $padding-bottom;
    padding-left: $sm-lateral-padding;
    width: $md-main-content-width;
  }
  .bio-title, .contact-title, .bio-job {
    width: $md-main-title-width;
  }
}

@media (max-height: 760px) and (min-width: 576px)
{
  .main-content {
    padding-top: $md-padding-top;
  }
}

@media (max-height: 670px) and (min-width: 576px)
{
  .main-content {
    padding-top: $sm-padding-top;
    width: $md-main-content-width;
  }
}